ProxyControl.KeystoreMode (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.proxy, class: ProxyControl, enum: KeystoreMode

Package org.apache.jmeter.protocol.http.proxy

# Enum ProxyControl.KeystoreMode

java.lang.Object
java.lang.Enum<ProxyControl.KeystoreMode>
org.apache.jmeter.protocol.http.proxy.ProxyControl.KeystoreMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ProxyControl.KeystoreMode>`, `java.lang.constant.Constable`

Enclosing class:
  ProxyControl

public static enum ProxyControl.KeystoreMode extends Enum<ProxyControl.KeystoreMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DYNAMIC_KEYSTORE`
  `JMETER_KEYSTORE`
  `NONE`
  `USER_KEYSTORE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProxyControl.KeystoreMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ProxyControl.KeystoreMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER_KEYSTORE

    public static final ProxyControl.KeystoreMode USER_KEYSTORE

  - ### JMETER_KEYSTORE

    public static final ProxyControl.KeystoreMode JMETER_KEYSTORE

  - ### DYNAMIC_KEYSTORE

    public static final ProxyControl.KeystoreMode DYNAMIC_KEYSTORE

  - ### NONE

    public static final ProxyControl.KeystoreMode NONE

- ## Method Details

  - ### values

    public static ProxyControl.KeystoreMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ProxyControl.KeystoreMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null